# PSF-LoginServer - master - net.psforever.services.InterstellarClusterService
PSF - LoginServer - master - net.psforever.services.InterstellarClusterService
Keywords: PSF LoginServer master net.psforever.services.InterstellarClusterService

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package account
  Definition Classes
    services
-  package avatar
  Definition Classes
    services
-  package chat
  Definition Classes
    services
-  package galaxy
  Definition Classes
    services
-  package hart
  Definition Classes
    services
-  package local
  Definition Classes
    services
-  package properties
  Definition Classes
    services
-  package support
  Definition Classes
    services
-  package teamwork
  Definition Classes
    services
-  package vehicle
  Definition Classes
    services
- GenericEventBus
- GenericEventBusMsg
- InterstellarClusterService
- RemoverActor
- Service
- ServiceManager

o

net.psforever.services

# InterstellarClusterService 

###
Companion class InterstellarClusterService

#### object InterstellarClusterService

Source
  InterstellarClusterService.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InterstellarClusterService
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed trait Command extends AnyRef
2.  final case class DroppodLaunchConfirmation (destination: Zone, position: Vector3) extends DroppodLaunchExchange with Product with Serializable
3.  final case class DroppodLaunchDenial (errorCode: DroppodError, data: Option[Any]) extends DroppodLaunchExchange with Product with Serializable
4.  trait DroppodLaunchExchange extends AnyRef
5.  final case class DroppodLaunchRequest (zoneNumber: Int, position: Vector3, faction: types.PlanetSideEmpire.Value, replyTo: ActorRef[DroppodLaunchExchange]) extends Command with Product with Serializable
6.  final case class FilterZones (predicate: (Zone) => Boolean, replyTo: ActorRef[ZonesResponse]) extends Command with Product with Serializable
7.  final case class FindZone (predicate: (Zone) => Boolean, replyTo: ActorRef[ZoneResponse]) extends Command with Product with Serializable
8.  final case class FindZoneActor (predicate: (Zone) => Boolean, replyTo: ActorRef[ZoneActorResponse]) extends Command with Product with Serializable
9.  final case class GetInstantActionSpawnPoint (faction: types.PlanetSideEmpire.Value, replyTo: ActorRef[SpawnPointResponse]) extends Command with Product with Serializable
10.  final case class GetNearbySpawnPoint (zoneNumber: Int, player: Player, spawnGroups: Seq[SpawnGroup], replyTo: ActorRef[SpawnPointResponse]) extends Command with Product with Serializable
11.  final case class GetPlayers (replyTo: ActorRef[PlayersResponse]) extends Command with Product with Serializable
12.  final case class GetRandomSpawnPoint (zoneNumber: Int, faction: types.PlanetSideEmpire.Value, spawnGroups: Seq[SpawnGroup], replyTo: ActorRef[SpawnPointResponse]) extends Command with Product with Serializable
13.  final case class GetSpawnPoint (zoneNumber: Int, player: Player, target: PlanetSideGUID, replyTo: ActorRef[SpawnPointResponse]) extends Command with Product with Serializable
14.  final case class PlayersResponse (players: Seq[Avatar]) extends Product with Serializable
15.  final case class SpawnPointResponse (response: Option[(Zone, SpawnPoint)]) extends Product with Serializable
16.  final case class ZoneActorResponse (zoneActor: Option[ActorRef[actors.zone.ZoneActor.Command]]) extends Product with Serializable
17.  final case class ZoneResponse (zoneActor: Option[Zone]) extends Product with Serializable
18.  final case class ZonesResponse (zoneActor: Iterable[Zone]) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val InterstellarClusterServiceKey: ServiceKey[Command]
5.  def apply(zones: Iterable[Zone]): Behavior[Command]
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped